<template>
  <div>

    <b-card
      no-body
      class="mb-0"
    >
      
     
      
      <br>
      <attendance-view-info-card :attendanceData="attendance" @success="reload"></attendance-view-info-card>
      <hr>
        <checkins-table v-if="attendance.date" :date="attendance.date"></checkins-table>

      <br>
    
    
    </b-card>
    
   

  </div>
</template>

<script>
import {
  BSidebar, BForm, BFormGroup, BFormInput, BFormInvalidFeedback, BButton,BTab, BTabs, BCard,BCardText, 
  BAlert, BLink,BFormSelect,BFormSelectOption,
} from 'bootstrap-vue'
import AttendanceViewInfoCard from './AttendanceViewInfoCard.vue'
import CheckinsTable from './CheckinsTable.vue'
export default {
  name:'attendance-view',
  props:{
    date:{
      type:String
    }
  },
  components: {
    BTab,
    BTabs,
    BCard,
    BCardText,
    BAlert,
    BLink,
    BSidebar,
    BForm,
    BFormGroup,
    BFormInput,
    BFormInvalidFeedback,
    BButton,
    BFormSelect,
    BFormSelectOption,
    AttendanceViewInfoCard,
    CheckinsTable

 
  },

  data(){
    return{
      attendance:{},

    }
  },
  methods:{
    getAttendanceData(){
      this.$http.get('user/attendance/show',{params:{attendance:this.$route.params.attendance}}).then(res=>{
        this.attendance = res.data.attendance

      }).catch(err=>{
        console.log(err)
      })
    },

    cancel(){
      this.$router.push({ name: 'apps-project-activities-list', params:{id:this.$route.params.id} })
    },
    reload(e){
          if(e){
            this.getAttendanceData()
          }
    }
    
  
  },

    mounted(){
    
      this.getAttendanceData()
    
    }



}
</script>

<style>

</style>
